PUT /api/v1/webhooks — Update Webhook
This API allows you to update an existing webhook configuration in the system. You can modify the URL, authentication token, and default status of the webhook using this API.
Authentication
SadqAuthorize
Request Headers
- Authorization (required)
- Bearer {token}
- Content-Type (required)
- application/json
Request Body
Content-Type: application/json
- id (GUID, required)
- The unique identifier of the webhook configuration you want to update.
- webhookUrl (string, required)
- The updated URL for the webhook.
- isDefault (boolean, required)
- The updated default status for the webhook.
{
"id": "4ad46fc9-a3c4-442d-9c10-680213a76486",
"webhookUrl": "https://example.com/webhook-updated",
"isDefault": false
}Responses
HTTP 200 — Webhook updated
{
"errorCode": 0,
"message": null,
"returnUrl": "/dashboard",
"stateValidationErrors": null,
"signature": ""
}